<div class="container">
  <div class="container" >
    <div class="card" *ngFor="let item of productitems">
        <div class="card-body">
          <h4 class="card-title">{{item.productName}}</h4>
          <p class="card-text">Price/pc: ₹ {{item.productPrice}}</p>
          <a class="btn btn-primary text-white" (click)="increaseQuantity(item.productId)">+</a>
          <a class="btn btn-light text-black disabled">{{item.quantity}}</a>
          <a class="btn btn-danger text-white" (click)="decreaseQuantity(item.productId)">-</a>&nbsp;
          <a class="btn btn-danger text-white" (click)="removeFromCart(item.productId)">Remove</a>
        </div>
      </div>
      <div class=" d-flex justify-content-center" *ngIf="totalQuantity==0" >
          <h4>Cart is Empty!</h4>
      </div>
  </div>
 
  <div class="container" *ngIf="totalQuantity!=0">
    <div class="card">
        <div class="card-body">
            <div class="card-title">
          <h5 class="float-left">Total Quantity: {{ totalQuantity }}</h5>
          <h5 class="float-right">Total Price: ₹ {{ totalAmount}}</h5>
          </div>
          
        </div>
      </div>
  </div>
  <br>
  <a  class="btn btn-danger text-white d-flex justify-content-center" *ngIf="totalQuantity!=0" (click)="removeAllFromCart()">Remove All</a>&nbsp;
  <a  class="btn btn-primary text-white d-flex justify-content-center" *ngIf="totalQuantity!=0" (click)="checkout()">Checkout</a>

  
</div>
